Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.aggregation
Class Aggregate

    java.lang.Object
      rice.p2p.aggregation.Aggregate

All Implemented Interfaces:
  java.io.Serializable, GCPastContent, PastContent

Direct Known Subclasses:
  RawAggregate

    public class Aggregate

extends java.lang.Object
implements GCPastContent

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jeffh
See Also:
  Serialized Form

Field Summary
`protected GCPastContent[]` | `components` DESCRIBE THE FIELD
`protected Id` | `myId` DESCRIBE THE FIELD
`protected Id[]` | `pointers` DESCRIBE THE FIELD

Constructor Summary
`Aggregate(GCPastContent[] components, Id[] pointers)` Constructor for Aggregate.

Method Summary
`PastContent` | `checkInsert(Id id, PastContent existingContent)` DESCRIBE THE METHOD
`GCPastContent` | `getComponent(int index)` Gets the Component attribute of the Aggregate object
`byte[]` | `getContentHash()` Gets the ContentHash attribute of the Aggregate object
`GCPastContentHandle` | `getHandle(GCPast local, long expiration)` Gets the Handle attribute of the Aggregate object
`PastContentHandle` | `getHandle(Past local)` Gets the Handle attribute of the Aggregate object
`Id` | `getId()` Gets the Id attribute of the Aggregate object
`GCPastMetadata` | `getMetadata(long expiration)` Gets the Metadata attribute of the Aggregate object
`Id[]` | `getPointers()` Gets the Pointers attribute of the Aggregate object
`long` | `getVersion()` Gets the Version attribute of the Aggregate object
`boolean` | `isMutable()` Gets the Mutable attribute of the Aggregate object
`int` | `numComponents()` DESCRIBE THE METHOD
`void` | `setId(Id myId)` Sets the Id attribute of the Aggregate object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### components

    protected GCPastContent[] components

  DESCRIBE THE FIELD

### pointers

    protected Id[] pointers

  DESCRIBE THE FIELD

### myId

    protected Id myId

  DESCRIBE THE FIELD

Constructor Detail

### Aggregate

    public Aggregate(GCPastContent[] components,
                     Id[] pointers)

  Constructor for Aggregate.

  Parameters:
    `components` - DESCRIBE THE PARAMETER
    `pointers` - DESCRIBE THE PARAMETER

Method Detail

### getId

    public Id getId()

  Gets the Id attribute of the Aggregate object

  Specified by:
    `getId` in interface `PastContent`
  Returns:
    The Id value

### getPointers

    public Id[] getPointers()

  Gets the Pointers attribute of the Aggregate object

  Returns:
    The Pointers value

### getComponent

    public GCPastContent getComponent(int index)

  Gets the Component attribute of the Aggregate object

  Parameters:
    `index` - DESCRIBE THE PARAMETER
  Returns:
    The Component value

### getVersion

    public long getVersion()

  Gets the Version attribute of the Aggregate object

  Specified by:
    `getVersion` in interface `GCPastContent`
  Returns:
    The Version value

### isMutable

    public boolean isMutable()

  Gets the Mutable attribute of the Aggregate object

  Specified by:
    `isMutable` in interface `PastContent`
  Returns:
    The Mutable value

### getContentHash

    public byte[] getContentHash()

  Gets the ContentHash attribute of the Aggregate object

  Returns:
    The ContentHash value

### getHandle

    public PastContentHandle getHandle(Past local)

  Gets the Handle attribute of the Aggregate object

  Specified by:
    `getHandle` in interface `PastContent`
  Parameters:
    `local` - DESCRIBE THE PARAMETER
  Returns:
    The Handle value

### getHandle

    public GCPastContentHandle getHandle(GCPast local,
                                         long expiration)

  Gets the Handle attribute of the Aggregate object

  Specified by:
    `getHandle` in interface `GCPastContent`
  Parameters:
    `local` - DESCRIBE THE PARAMETER
    `expiration` - DESCRIBE THE PARAMETER
  Returns:
    The Handle value

### getMetadata

    public GCPastMetadata getMetadata(long expiration)

  Gets the Metadata attribute of the Aggregate object

  Specified by:
    `getMetadata` in interface `GCPastContent`
  Parameters:
    `expiration` - DESCRIBE THE PARAMETER
  Returns:
    The Metadata value

### setId

    public void setId(Id myId)

  Sets the Id attribute of the Aggregate object

  Parameters:
    `myId` - The new Id value

### numComponents

    public int numComponents()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

### checkInsert

    public PastContent checkInsert(Id id,
                                   PastContent existingContent)
                            throws PastException

  DESCRIBE THE METHOD

  Specified by:
    `checkInsert` in interface `PastContent`
  Parameters:
    `id` - DESCRIBE THE PARAMETER
    `existingContent` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE
  Throws:
    `PastException` - DESCRIBE THE EXCEPTION

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.